/*
 * @Author: mzr
 * @Date: 2023-04-07 14:59:16
 * @LastEditors: wzh
 * @LastEditTime: 2023-09-18 16:43:47
 * @Description:
 */
module.exports = {
  root: true,
  parser: 'vue-eslint-parser',
  parserOptions: {
    // 指定ESlint的解析器
    parser: '@typescript-eslint/parser',
    // 允许使用ES语法
    ecmaVersion: 2020,
    // 允许使用import
    sourceType: 'module',
    // 允许解析JSX
    ecmaFeatures: {
      jsx: true,
    },
  },
  env: {
    browser: true,
  },
  extends: [
    'plugin:vue/essential',
    '@vue/standard',
    'plugin:@typescript-eslint/recommended',
    // '@vue/prettier',
    // '@vue/prettier/@typescript-eslint'
  ],
  plugins: [
    // 'vue'
    '@typescript-eslint/eslint-plugin'
  ],
  rules: {
    // allow debugger during development
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'vue/no-parsing-error': [2, {
      "x-invalid-end-tag": false
    }],
    '@typescript-eslint/no-explicit-any': 'off',
    '@typescript-eslint/ban-ts-comment': 'off',
    '@typescript-eslint/no-unused-vars': 0,
    '@typescript-eslint/no-empty-function': 0,
    '@typescript-eslint/no-this-alias': 0,
    'vue/no-mutating-props': 'off',
    'vue/script-setup-uses-vars': 'off'
  }
}
